use clap::Parser;

use crate::{Config, LeafCommand};

#[derive(Debug, Parser)]
pub struct ConfigCommand {}

impl LeafCommand for ConfigCommand {
    type Error = ConfigError;

    fn run(&self, config: &Config) -> Result<(), ConfigError> {
        print!("{}", config.pretty_json()?);
        Ok(())
    }
}

#[derive(Debug, thiserror::Error)]
pub enum ConfigError {
    #[error(transparent)]
    Config(#[from] crate::config::ConfigError),
}
